---

# configure block storage on Amazon VM

- name: "docker: LVM VG"
  lvg:
    vg: "data"
    pvs: "/dev/nvme1n1"

- name: "docker: LVM LV"
  lvol:
    lv: "var-lib-docker"
    size: "{{ docker_partition_size }}"
    vg: "data"

- name: "docker: LVM LV: filesystem"
  filesystem:
    dev: "/dev/data/var-lib-docker"
    fstype: "xfs"

- name: "docker: LVM LV: mount"
  mount:
    src: "/dev/data/var-lib-docker"
    path: "/var/lib/docker"
    fstype: "xfs"
    state: "mounted"

...
